//////////////////////////////////////////////////////////////////////////////
// File:        pkgutils.h
// Purpose:     wxPackager utilities
// Author:      Francesco Montorsi
// Modified by:
// Created:     2006-06-08
// RCS-ID:      $Id: miscutils.h,v 1.2 2006/12/26 12:47:53 frm Exp $
// Copyright:   (c) Francesco Montorsi
// Licence:     wxWidgets licence
//////////////////////////////////////////////////////////////////////////////

#ifndef _PKGUTILS_H_
#define _PKGUTILS_H_

#include <wx/checklst.h>
#include <wx/filename.h>

// flags <-> wxCheckListBox

void wxFlags2CheckListBox(wxCheckListBox *lb, long flags, size_t max);
long wxCheckListBox2Flags(const wxCheckListBox *lb);
void wxCheckAll(wxCheckListBox *, bool check);


// others:

bool wxIsSubfolderOf(const wxString &root, const wxString &subfolder);
bool wxIsSubfolderOf(const wxFileName &root, const wxFileName &subfolder);


#endif // _PKGUTILS_H_
